Subject: bug#9723: 24.0.50; Emacs Clipboard crash

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Feb 2012 16:16:51 +0200

> Date: Sat, 04 Feb 2012 14:56:29 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >> Is there any way
>  >> to print the value of an Elisp integer?
>  >
>  > Dividing by four is the right thing.
> 
> Can there ever be a remainder when printing?

I'm not sure I understand.  Lisp integers are shifted 2 bits to the
left in C.  Does that answer your question?  If not, please tell more.

>  > I think you should install it.  Thanks.
> 
> Installed.  I still don't understand why frames should have fringes and
> scrollbars and why we should count them.

Again, not sure I understand you.  frame.h says:

  /* Total width of frame F, in columns (characters),
     including the width used by scroll bars if any.  */

  #define FRAME_TOTAL_COLS(f) ((f)->total_cols)

This width is supposed to be the width of the window as known to the
window manager, so it includes everything Emacs controls.